Subject: [apps-discuss] Updating multipart/report

From: "Murray S. Kucherawy" <[email-masked]>
Date: Fri, 15 Jul 2011 11:15:31 -0700

Resurrecting an old topic...

The MARF working group has a requirement to be able to produce messages that contain abuse reports.  It currently uses multipart/report to do this.  However, multipart/report has a limitation that it has to be the outermost media type in a message.  This prevents MARF from being compatible with another system that can contain multiple reports per message.

I introduced this topic some months ago on apps-discuss, and a draft that is almost verbatim the same as RFC3462 minus the above limitation.  I remember Keith dissenting and Ned supporting, on the grounds that the limitation hasn't served any useful purpose. The topic died off after that, but I'd like to reintroduce it.

We could try to do this from within MARF but it seems to me that modifying a general-purpose email RFC in a working group with a specific application is probably a little sketchy.  I think it should either live here or in YAM.  I've posted a similar message to YAM just now to see if they want it, subject to the results of their rechartering.

If they don't want it, could we introduce it as an APPSAWG work item?

-MSK